/****************************************************************************************
 * 项目用途：演示IIC做为主机。
 * 文件名: main.c
 * 项目名: KF8A100FTN_IIC_MASTER
 * 版 本: v1.0
 * 日 期: 2019年09月02日 16时17分58秒
 * 作 者: charles_cai
 * 功能 ： 先向从机写数据，从机收到数据后，验证数据是否正确，正确则从机LED2闪烁，错误则从机LED2熄灭。
 * 		然后主机再去读数据，从机返回数据给主机，主机验证数据是否正确，正确则主机LED2闪烁，错误则主机LED2熄灭。
 * 注意：	IIC引脚必须配置为数字输入模式、打开上拉功能。 *
 * 		SDA——P01
 * 		SCL——P00
 ****************************************************************************************/
#include"main.h"
//主函数
void main()
{
	unsigned char i=0;
	unsigned char flag =1;

	Init_osc();//初始化外设
	Init_GPIO();//IIC引脚必须配置为数字输入模式、打开上拉功能
	Init_IIC();

	while(1)
	{
		for(i=0;i<10;i++)//填写待发送的的内容
		{
			Buf[i]=i;
		}
		IIC_SEND_DATAWrite(10);//向从机发送10个字节/
		IIC_SEND_DATARead(10);//向从机读取10个字节
		for(i=0;i<10;i++)//验证读取的内容是否正确
		{
			if(Buf[i]== (i+10))
				flag =1;
			else
			{
				flag =0;
				break;
			}
		}

		if(flag==1)//读取的内容正确则LED2闪烁
		{
			flag =0;
			LED2 =1;
			Delay_ms_loop(300);
			LED2 =0;
			Delay_ms_loop(300);
		}
		else//读取内容错误则LED2熄灭
		{
			LED2=0;
		}
	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
